<?php
session_start();
error_reporting(E_ALL ^ E_NOTICE);
if (!$_SESSION["autentificado"]) {
    header("Location: ../pages/index.php?error=si");
}
?>
<!DOCTYPE html>
<html lang="en">

    <head>

        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="description" content="">
        <meta name="author" content="">

        <title>SAAV-SISTEMA DE ADMINISTRACION PARA AGENCIA DE VIAJES</title>

        <!-- Bootstrap Core CSS -->
        <link href="../bower_components/bootstrap/dist/css/bootstrap.min.css" rel="stylesheet">
        <link href="../bower_components/bootstrap/dist/css/bootstrap-theme.min.css" rel="stylesheet">

        <!-- MetisMenu CSS -->
        <link href="../bower_components/metisMenu/dist/metisMenu.min.css" rel="stylesheet">

        <!-- DataTables CSS -->
        <link href="../bower_components/datatables-plugins/integration/bootstrap/3/dataTables.bootstrap.css" rel="stylesheet">

        <!-- DataTables Responsive CSS -->
        <link href="../bower_components/datatables-responsive/css/dataTables.responsive.css" rel="stylesheet">

        <!-- Custom CSS -->
        <link href="../dist/css/sb-admin-2.css" rel="stylesheet">

        <!-- Custom Fonts -->
        <link href="../bower_components/font-awesome/css/font-awesome.min.css" rel="stylesheet" type="text/css">
        <style type="text/css">
            .container{
                margin-top:30px;
            }

            .filter-col{
                padding-left:10px;
                padding-right:10px;
            }
        </style>

    </head>

    <body>

        <div id="wrapper">

            <!-- Navigation -->
            <nav class="navbar navbar-estilo2 navbar-static-top" role="navigation" style="margin-bottom: 0">
                <div class="navbar-header">
                    <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                        <span class="sr-only">Menu</span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                    </button>
                    <a class="navbar-brand" href="#"><?php echo $_SESSION["tipoUsuario"] ?> : </a>
                </div>
                <!-- /.navbar-header -->

                <ul class="nav navbar-top-links navbar-right">

                    <!-- /<div class="dro"></div>pdown -->
                    <li class="dropdown">
                        <a class="dropdown-toggle" data-toggle="dropdown" href="#">
                            <i class="fa fa-user fa-fw"></i>  <i class="fa fa-caret-down"></i>
                        </a>
                        <ul class="dropdown-menu dropdown-user">
                            <li><a href="#"><i class="fa fa-user fa-fw"></i> Perfil de usuario</a>
                            </li>
                            <li><a href="#"><i class="fa fa-gear fa-fw"></i> Mi configuracion</a>
                            </li>
                            <li class="divider"></li>
                            <li><a href="../pages/Salir.php"><i class="fa fa-sign-out fa-fw"></i> Salir</a>
                            </li>
                        </ul>
                        <!-- /.dropdown-user -->
                    </li>
                    <!-- /.dropdown -->
                </ul>
                <!-- /.navbar-top-links -->
                <?php require_once '../pages/Privilegios.php'; ?>
                <!-- /.navbar-static-side -->
            </nav>

            <!-- Page Content -->
            <div id="page-wrapper">
                <div class="container-fluid">
                    <div class="row">
                        <div class="col-xs-12 col-sm-12 col-md-12">
                            <ol class="breadcrumb" style="margin-bottom: 0">
                                <li ><a href="../pages/principal.php">Escritorio</a></li>
                                <li class="active">Diapositivas</li>
                            </ol>
                            <div class="panel panel-primary">
                                <div class="panel-heading" >
                                    Diapositivas
                                </div>
                                <div class="panel-body">
                                    <div id="NuevoDiapo"></div>                                    

                                    <p>
                                        <button class="btn btn-primary"  data-toggle="myModal" onclick="NuevoDiapo()" ><i class="fa fa-plus-circle fa-fw"></i> Nuevo</button>
                                        <a href="" class="btn btn-success"><i class="fa fa-refresh fa-fw"></i> Refrescar</a>

                                        

                                        <!-- Modal -->  
                                    
                                    </p> 

                                    <br>

                                    <div class="table-responsive">
                                        <div class="dataTable_wrapper">
                                            <table class="table table-striped table-bordered table-hover" id="dataTables-example">
                                                <thead>
                                                    <tr>
                                                        <th>Nro</th>
                                                        <th>Marca</th> 
                                                        <th>Nombre</th>
                                                        <th>Fecha</th>                                                      
                                                        <th></th>
                                                    </tr>
                                                </thead>
                                                <tbody>
                                                    <?php
                                                    include("clases/cdiapos.php");
                                                    $ocdiapos = new cdiapos('', '', '', '', '');
                                                    $rs = $ocdiapos->MostrarDiapos();
                                                    /* -- para listas solo un registro */
                                                    $item = 1;
                                                    /* -- para mostrar todos los registros de la consulta */
                                                    while ($fila1 = $rs->fetch_object()) {
                                                        ?>
                                                        <tr>
                                                            <td align="center"><?php echo "$item"; ?></td>
                                                            <td ><?php echo "$fila1->marca"; ?></td>
                                                            <td ><?php echo "$fila1->nombre"; ?></td>
                                                            <td ><?php echo "$fila1->fecha"; ?></td>
                                                            <td><a class="btn btn-warning" href="multimedia/<?php echo "$fila1->archivo"; ?>"><i class="fa fa-download fa-fw"></i></a></td>
                                                        </tr>
                                                        <?php
                                                        $item = $item + 1;
                                                    }
                                                    ?>   
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>


                                    
                                </div>
                            </div>
                        </div>
                        <!-- /.col-lg-12 -->
                    </div>
                    <!-- /.row -->
                </div>
                <!-- /.container-fluid -->
            </div>
            <!-- /#page-wrapper -->

        </div>
        <!-- /#wrapper -->

        <!-- jQuery -->
        <script src="../bower_components/jquery/dist/jquery.min.js"></script>

        <!-- Bootstrap Core JavaScript -->
        <script src="../bower_components/bootstrap/dist/js/bootstrap.min.js"></script>

        <!-- Metis Menu Plugin JavaScript -->
        <script src="../bower_components/metisMenu/dist/metisMenu.min.js"></script>

        <!-- Custom Theme JavaScript -->
        <script src="../dist/js/sb-admin-2.js"></script>

        <!-- DataTables JavaScript -->
        <script src="jscontactos.js"></script>
        <script src="../bower_components/datatables/media/js/jquery.dataTables.min.js"></script>
        <script src="../bower_components/datatables-plugins/integration/bootstrap/3/dataTables.bootstrap.min.js"></script>

        <!-- Page-Level Demo Scripts - Tables - Use for reference -->
        <script>
                                                                    $(document).ready(function () {
                                                                        $('#dataTables-example').DataTable({
                                                                            responsive: true
                                                                        });
                                                                    });
        </script>
        


    </body>

</html>









