<?php
$ciudad = 'Cusco';
if (isset($_GET['ciudad'])) {
	$ciudad = $_GET['ciudad'];
}
$pais = 'Peru';
if (isset($_GET['pais'])) {
	$pais = $_GET['pais'];
}
?>
<!DOCTYPE html>
<html lang="en">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">
    <title>SAAV - SISTEMA DE ADMINISTRACION PARA AGENCIA DE VIAJES</title>
    <!-- Bootstrap Core CSS -->
    <link href="../bower_components/bootstrap/dist/css/bootstrap.min.css" rel="stylesheet">
    <link href="../bower_components/bootstrap/dist/css/bootstrap-theme.min.css" rel="stylesheet">
    <!-- MetisMenu CSS -->
    <link href="../bower_components/metisMenu/dist/metisMenu.min.css" rel="stylesheet">
    <!-- Custom CSS -->
    <link href="../dist/css/sb-admin-2.css" rel="stylesheet">
    <!-- Custom Fonts -->
    <link href="../bower_components/font-awesome/css/font-awesome.min.css" rel="stylesheet" type="text/css">
    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
        <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
        <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
    <![endif]-->
	<script src="https://cdn.ckeditor.com/4.10.0/full/ckeditor.js"></script>
	<script type="text/javascript">
		function seleccionarImagen(img) {
			//alert(img);
			var codigo = CKEDITOR.instances.a_message.getData();
			if(codigo.indexOf(""))
			CKEDITOR.instances.a_message.setData('<img src="https://marketing.iteptravel.com/contactos/images/' + img + '">');
		}
		function validarPlantilla() {
			if (document.getElementById("s_plantilla").value == "") {
				alert("Ingrese el nombre de la Plantilla");
				document.getElementById("s_plantilla").focus();
				return false;
			} else {
				document.getElementById("s_asunto").value = document.getElementById("a_subject").value;
				document.getElementById("s_mensaje").value = document.getElementById("a_message").value;
				alert("Plantilla guardada!");
				return true;
			} 
		}
		function actualizarImagenes() {
			var xmlhttp = new XMLHttpRequest();
			xmlhttp.onreadystatechange = function() {
				if (this.readyState == 4 && this.status == 200) {
					var lista = JSON.parse(this.responseText);
					var l = lista.length;
					var imgs = '';
					var i = 0;
					for (i=0;i<l;i++) {
						imgs = imgs + '<div class="col-sm-6"><div class="row"><div class="col-sm-4"><a href="#" onClick="seleccionarImagen';
						imgs = imgs + "('"+lista[i]+"')";
						imgs = imgs + '"><img src="images/'+lista[i]+'" width="200" height="auto" class="img-responsive"></a><br></div>';
						imgs = imgs + '<div class="col-sm-6"><input type="text" value="'+lista[i]+'" class="form-control">';
						imgs = imgs + '<button class="btn btn-success" onClick="copiarImagen';
						imgs = imgs + "('"+lista[i]+"')";
						imgs = imgs + '">Copy</button></div></div></div>';
					}
					document.getElementById("imagenes").innerHTML = imgs;
					alert('Actualizado!');
				}
			}
			xmlhttp.open("GET", "/contactos/images.php", true);
			xmlhttp.send();	
		}
		function cambiarPlantilla() {
			var id = document.getElementById("s_plantillas").value;
			if (id==0) {
				document.getElementById("iMensaje").src = "https://marketing.iteptravel.com/contactos/mensaje.php";	
			} else {
				document.getElementById("iMensaje").src = "https://marketing.iteptravel.com/contactos/mensaje.php?id="+id;	
			}
			
/*
			var xmlhttp = new XMLHttpRequest();
			xmlhttp.onreadystatechange = function() {
				if (this.readyState == 4 && this.status == 200) {
					var plantilla = JSON.parse(this.responseText);
					document.getElementById("a_message").value = plantilla;
					alert('Plantilla cargada!');
				}
			}
			xmlhttp.open("GET", "/contactos/plantilla.php?id="+id, true);
			xmlhttp.send();	
*/
		}
	</script>
</head>
<body>
	<div class="row">
		<div style="margin-bottom: 5px" class="input-group">
			<span class="input-group-addon"><i class="fa fa-message"></i> Plantillas</span>
			<select id="s_plantillas" style="min-width: 300px" onChange="cambiarPlantilla()">
				<option value="0">Blank</option>
<?php
include("clases/cplantillas.php");
$ocplantillas = new cplantillas('', '', '', '');
$rsm = $ocplantillas->MostrarPlantillas();
while ($filam = $rsm->fetch_object()) {
?>
					<option value="<?php echo $filam->id ?>"><?php echo $filam->titulo ?></option>
<?php
}
?>
			</select>
			<button onClick="cambiarPlantilla()">Change</button>
		</div>
		<form id="f_guardarP" name="f_guardarP" action="guardarPlantilla.php" onsubmit="return validarPlantilla()" method="post" target="_blank" >
			<div style="margin-bottom: 5px" class="input-group">
				<span class="input-group-addon"><i class="fa fa-message"></i> Plantilla</span>
				<input type="text" id="s_plantilla" name="s_plantilla" value="" placeholder="Plantilla" style="min-width: 300px">
				<button type="submit">Save</button>
				<textarea id="s_mensaje" name="s_mensaje" style="visibility: hidden"></textarea>						
				<input type="hidden" id="s_asunto" name="s_asunto">				
			</div>
		</form>
	</div>
	<div class="row">
		<div class="col-sm-12">
            <form class="form-horizontal" role="form" method="post" action="send.php" target="_blank">
                <input type="hidden" name="mod_enviar" value="1">
                <div style="margin-bottom: 5px" class="input-group">
                    <span class="input-group-addon"><i class="fa fa-user"></i> Subject</span>
                    <input id="a_subject" type="text" class="form-control" name="a_subject" value="" placeholder="Subject">
                </div>
				<div style="margin-bottom: 5px" class="input-group">
                    <span class="input-group-addon"><i class="fa fa-user"></i> From</span>
                    <input id="a_from" type="text" class="form-control" name="a_from" value="counter@imperiostravel.com" placeholder="From">
                </div>
                <div style="margin-bottom: 5px" class="input-group">
                    <span class="input-group-addon"><i class="fa fa-envelope"></i> To</span>
                    <input id="a_email" type="text" class="form-control" name="a_email" value="All contacts" placeholder="Email">
                </div>
                <div style="margin-bottom: 5px" class="input-group">
                   	<span class="input-group-addon"><i class="fa fa-table"></i> For</span>
					<label for="pais">Pais</label>
					<select name="pais">
						<option value="<?php echo $pais ?>"><?php echo $pais ?></option>
						<option value=""></option>
<?php
include("clases/ccontactos.php");
$occontactosp = new ccontactos('', '', '', '', '', '', '', '', '', '', '', '', '');
$rsp = $occontactosp->MostrarPaises();
while ($filap = $rsp->fetch_object()) {
?>
						<option value="<?php echo $filap->pais ?>"><?php echo $filap->pais ?></option>
<?php
}
?>
					</select>
					
					<label for="ciudad">Ciudad</label>
					<select name="ciudad">
						<option value="<?php echo $ciudad ?>"><?php echo $ciudad ?></option>
						<option value=""></option>
<?php
$occontactosc = new ccontactos('', '', '', '', '', '', '', '', '', '', '', '', '');
$rsc = $occontactosc->MostrarCiudades($pais);
while ($filac = $rsc->fetch_object()) {
?>
						<option value="<?php echo $filac->ciudad ?>"><?php echo $filac->ciudad ?></option>
<?php
}
?>
					</select>
                </div>
				<iframe id="iMensaje" src="mensaje.php" width="100%" height="720"></iframe>
                <div style="margin-top:10px" class="form-group">
                    <div class="col-sm-12 controls">
                        <button id="btn-send" type="submit" class="btn btn-success btn-block">&nbsp; Send &nbsp;</button>
                    </div>
                </div>
            </form>
			<hr>
			<b>Subir Banner</b>
			<form method="post" enctype="multipart/form-data" action="upload.php" target="_blank">
				<div class="row">
					<div class="col-sm-8">
						<input type="file" name="archivo" class="form-control">
					</div>
					<div class="col-sm-4">
						<input type="submit" name="submit" value="Upload" class="form-control">
					</div>
				</div>
			</form>
			<hr>
			<b>Seleccionar Banner</b>
			<button onClick="actualizarImagenes()">Actualizar</button>
			<hr>
			<div id="imagenes" class="row">
<?php
$dir = $_SERVER['DOCUMENT_ROOT']. '/contactos/images/';
$files = scandir($dir);
for ($f=0;$f<=10;$f++) {
	$img = $files[$f];
	if ((strpos($img,'.png') > 0) || (strpos($img,'.jpg') > 0)) {
?>
				<div class="col-sm-6">
					<div class="row">
						<div class="col-sm-4">
							<a href="#" onClick="seleccionarImagen('<?php echo $img ?>')"><img src="images/<?php echo $img ?>" width="200" height="auto" class="img-responsive"></a><br>
						</div>
						<div class="col-sm-6">
							<input type="text" value="<?php echo $img ?>" class="form-control">
							<button class="btn btn-success" onClick="copiarImagen('<?php echo $img ?>')">Copy</button>
						</div>
					</div>
				</div>
<?php
	}
}
?>
			</div>
		</div>
	</div>
	<script type="text/javascript">
		CKEDITOR.replace('a_message', {
        	height: 1200
    	} );
	</script>
</body>
</html>
