<?php
session_start();
error_reporting(E_ALL ^ E_NOTICE);
if (!$_SESSION["autentificado"]) {
    header("Location: ../pages/index.php?error=si");
}
$ciudad = 'Cusco';
if (isset($_GET['ciudad'])) {
	$ciudad = $_GET['ciudad'];
}
$pais = 'Peru';
if (isset($_GET['pais'])) {
	$pais = $_GET['pais'];
}
?>
<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="description" content="">
        <meta name="author" content="">
        <title>SAAV-SISTEMA DE ADMINISTRACION PARA AGENCIA DE VIAJES</title>
        <!-- Bootstrap Core CSS -->
        <link href="../bower_components/bootstrap/dist/css/bootstrap.min.css" rel="stylesheet">
        <link href="../bower_components/bootstrap/dist/css/bootstrap-theme.min.css" rel="stylesheet">
        <!-- MetisMenu CSS -->
        <link href="../bower_components/metisMenu/dist/metisMenu.min.css" rel="stylesheet">
        <!-- DataTables CSS -->
        <link href="../bower_components/datatables-plugins/integration/bootstrap/3/dataTables.bootstrap.css" rel="stylesheet">
        <!-- DataTables Responsive CSS -->
        <link href="../bower_components/datatables-responsive/css/dataTables.responsive.css" rel="stylesheet">
        <!-- Custom CSS -->
        <link href="../dist/css/sb-admin-2.css" rel="stylesheet">
        <!-- Custom Fonts -->
        <link href="../bower_components/font-awesome/css/font-awesome.min.css" rel="stylesheet" type="text/css">
        <style type="text/css">
            .container{
                margin-top:30px;
            }
            .filter-col{
                padding-left:10px;
                padding-right:10px;
            }
        </style>
    </head>
    <body>
        <div id="wrapper">
            <!-- Navigation -->
            <nav class="navbar navbar-estilo2 navbar-static-top" role="navigation" style="margin-bottom: 0">
                <div class="navbar-header">
                    <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                        <span class="sr-only">Menu</span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                    </button>
                    <a class="navbar-brand" href="#"><?php echo $_SESSION["tipoUsuario"] ?> : <?php echo $_SESSION["nombres"] ?></a>
                </div>
                <!-- /.navbar-header -->
                <ul class="nav navbar-top-links navbar-right">
                    <!-- /<div class="dro"></div>pdown -->
                    <li class="dropdown">
                        <a class="dropdown-toggle" data-toggle="dropdown" href="#">
                            <i class="fa fa-user fa-fw"></i>  <i class="fa fa-caret-down"></i>
                        </a>
                        <ul class="dropdown-menu dropdown-user">
                            <li><a href="#"><i class="fa fa-user fa-fw"></i> Perfil de usuario</a>
                            </li>
                            <li><a href="#"><i class="fa fa-gear fa-fw"></i> Mi configuracion</a>
                            </li>
                            <li class="divider"></li>
                            <li><a href="../pages/Salir.php"><i class="fa fa-sign-out fa-fw"></i> Salir</a>
                            </li>
                        </ul>
                        <!-- /.dropdown-user -->
                    </li>
                    <!-- /.dropdown -->
                </ul>
                <!-- /.navbar-top-links -->
                <?php require_once '../pages/Privilegios.php'; ?>
                <!-- /.navbar-static-side -->
            </nav>
            <!-- Page Content -->
            <div id="page-wrapper">
                <div class="container-fluid">
                    <div class="row">
                        <div class="col-xs-12 col-sm-12 col-md-12">
                            <ol class="breadcrumb" style="margin-bottom: 0">
                                <li ><a href="../pages/principal.php">Escritorio</a></li>
                                <li class="active">Contactos</li>
                            </ol>
                            <div class="panel panel-primary">
                                <div class="panel-heading" >
                                    Contactos
                                </div>
                                <div class="panel-body">
                                    <div id="NuevoContacto"></div> 
                                    <div id="Importar"></div>
                                    <p>
                                        <button class="btn btn-primary"  data-toggle="myModal" onclick="NuevoContacto()" ><i class="fa fa-plus-circle fa-fw"></i> Nuevo</button>
                                        <a href="" class="btn btn-success"><i class="fa fa-refresh fa-fw"></i> Refrescar</a>
                                        <input type="button" class="btn btn-primary" value="Exportar" onclick="ExportarContactos()">
                                        <input type="button" class="btn btn-success" onclick="ImportarContactos()" value="Importar">
                                        <button class="btn btn-primary" data-toggle="modal" data-target="#modalTarifas"><i class="fa fa-envelope fa-fw"></i> Enviar</button>
                                        <!-- Modal -->  
                                    	<div class="modal fade" id="modalTarifas" role="dialog">
                                        <div class="modal-dialog modal-lg">
                                            <!-- Modal content-->
                                            <div class="modal-content">
                                                <div class="modal-header">
                                                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                                                    <h4 class="modal-title" style="text-align: center;">Enviar correo</h4>
                                                </div>
                                                <div class="modal-body">
                                                    <div class="entry-disponibilidad" id="availability">
                                                        <iframe src="sendBanner.php" width="100%" height="760" frameborder="0" scrolling="yes"></iframe>
                                                    </div>
                                                </div>
                                                <div class="modal-footer">
                                                    <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    </p> 
									<hr>
                                    <div class="">
                                        <div id="filter-panel" class="collapse filter-panel">
                                            <div class="panel panel-primary">
                                                <div class="panel-body">
                                                    <form class="form-inline" role="form" action="ExportarContactos_avz.php" method="post">
                                                        <div class="form-group">
                                                            <label class="filter-col" style="margin-right:0;" for="pref-perpage">Exportar por</label>
                                                            <select id="pref-perpage" class="form-control" onchange="mostrardato()" name="tipo">
                                                                <option value="0" selected="" disabled="">Selecciona</option>
                                                                <option value="pais">Pais</option>
                                                                <option value="ciudad">Ciudad</option>
                                                                <option value="rubro">Rubro</option>                               
                                                            </select>                                
                                                        </div> 
                                                        <div class="form-group" id="mostrardato">                                                            
                                                            <input type="text" class="form-control input-sm" disabled="" name="dato">
                                                        </div> 
                                                        <div class="form-group" >  
                                                            <button type="submit" class="btn btn-success filter-col" >
                                                                <span class="glyphicon glyphicon-download"></span> Exportar
                                                            </button>  
                                                        </div>
                                                    </form>
                                                </div>
                                            </div>
                                        </div>

                                        <button type="button" class="btn btn-primary" data-toggle="collapse" data-target="#filter-panel">
                                            <span class="glyphicon glyphicon-cog"></span> Exportar Advanzado
                                        </button>
                                    </div>
									<hr>
									<div class="row well well-sm">
										<form method="get">
											<div class="col-sm-2">
												<label for="pais">Pais</label>
												<select name="pais" class="form-control">
													<option value="<?php echo $pais ?>"><?php echo $pais ?></option>
													<option value=""></option>
<?php
include("clases/ccontactos.php");
$occontactosp = new ccontactos('', '', '', '', '', '', '', '', '', '', '', '', '');
$rsp = $occontactosp->MostrarPaises();
while ($filap = $rsp->fetch_object()) {
?>
													<option value="<?php echo $filap->pais ?>"><?php echo $filap->pais ?></option>
<?php
}
?>
												</select>
											</div>
											<div class="col-sm-2">
												<label for="ciudad">Ciudad</label>
												<select name="ciudad" class="form-control">
													<option value="<?php echo $ciudad ?>"><?php echo $ciudad ?></option>
													<option value=""></option>
<?php
$occontactosc = new ccontactos('', '', '', '', '', '', '', '', '', '', '', '', '');
$rsc = $occontactosc->MostrarCiudades($pais);
while ($filac = $rsc->fetch_object()) {
?>
													<option value="<?php echo $filac->ciudad ?>"><?php echo $filac->ciudad ?></option>
<?php
}
?>
												</select>
											</div>
											<div class="col-sm-1">
												<button type="submit" class="form-control btn-primary"><i class="glyphicon glyphicon-check"></i> Filter</button>
											</div>
										</form>
									</div>
									<br>
                                    <div class="table-responsive">
                                        <div class="dataTable_wrapper">
                                            <table class="table table-striped table-bordered table-hover" id="dataTables-example" style="font-size: 12px">
                                                <thead>
													<tr>
                                                        <th width="120"></th>
														<th>#</th>
                                                        <th>Empresa</th>
                                                        <th>Contacto</th>
                                                        <th>Email</th>
                                                        <th>Celular</th>
                                                        <th>Telefono</th>
                                                        <th>Direccion</th>
                                                        <th>Ciudad</th>
                                                        <th>Pais</th>
                                                    </tr>
                                                </thead>
                                                <tbody>
                                                    <?php
                                                    //include("clases/ccontactos.php");
                                                    $occontactos1 = new ccontactos('', '', '', '', '', '', '', '', '', '', $ciudad, $pais, '');
                                                    $rs = $occontactos1->MostrarContacto();
                                                    /* -- para listas solo un registro */
                                                    $item = 1;
                                                    /* -- para mostrar todos los registros de la consulta */
                                                    while ($fila1 = $rs->fetch_object()) {
                                                        ?>
                                                        <tr>
                                                            <td style="width:120px">
                                                                <button class="btn-sm btn-warning" onClick="EditarContacto('<?php echo "$fila1->id"; ?>')"><i class="fa fa-pencil fa-fw"></i></button>
                                                                <button class="btn-sm btn-danger" onClick="EliminarContacto('<?php echo "$fila1->id"; ?>')"><i class="fa fa-times fa-fw"></i></button>
                                                            </td>
															<td align="center" style="width:50px"><?php echo "$item"; ?></td>
                                                            <td style="width:150px"><?php echo "$fila1->nombre"; ?></td>
                                                            <td style="width:100px"><?php echo "$fila1->contacto"; ?></td>
                                                            <td style="width:200px"><?php echo "$fila1->correo"; ?></td>
                                                            <td style="width:200px"><?php echo "$fila1->celular"; ?></td>
                                                            <td style="width:100px"><?php echo "$fila1->telefono"; ?></td>
                                                            <td style="width:100px"><?php echo "$fila1->direccion"; ?></td>
                                                            <td style="width:70px"><?php echo "$fila1->ciudad"; ?></td>
                                                            <td style="width:50px"><?php echo "$fila1->pais"; ?></td>
                                                        </tr>
                                                        <?php
                                                        $item = $item + 1;
                                                    }
                                                    ?>   
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                    <div id="NuevoPaquete"></div>
                                </div>
                            </div>
                        </div>
                        <!-- /.col-lg-12 -->
                    </div>
                    <!-- /.row -->
                </div>
                <!-- /.container-fluid -->
            </div>
            <!-- /#page-wrapper -->
        </div>
        <!-- /#wrapper -->
        <!-- jQuery -->
        <script src="../bower_components/jquery/dist/jquery.min.js"></script>
        <!-- Bootstrap Core JavaScript -->
        <script src="../bower_components/bootstrap/dist/js/bootstrap.min.js"></script>
        <!-- Metis Menu Plugin JavaScript -->
        <script src="../bower_components/metisMenu/dist/metisMenu.min.js"></script>
        <!-- Custom Theme JavaScript -->
        <script src="../dist/js/sb-admin-2.js"></script>
        <!-- DataTables JavaScript -->
        <script src="jscontactos.js"></script>
        <script src="../bower_components/datatables/media/js/jquery.dataTables.min.js"></script>
        <script src="../bower_components/datatables-plugins/integration/bootstrap/3/dataTables.bootstrap.min.js"></script>
        <!-- Page-Level Demo Scripts - Tables - Use for reference -->
        <script>
			$(document).ready(function () {
				$('#dataTables-example').DataTable({
					responsive: true
				});
			});
        </script>
        <script type="text/javascript">

            //========================
            //CREACION DEL OBJETO AJAX
            //========================
            function objetoAjax() {
                var xmlhttp = false;
                try {
                    xmlhttp = new ActiveXObject("Msxml2.XMLHTTP");
                } catch (e) {
                    try {
                        xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
                    } catch (E) {
                        xmlhttp = false;
                    }
                }
                if (!xmlhttp && typeof XMLHttpRequest != 'undefined') {
                    xmlhttp = new XMLHttpRequest();
                }
                return xmlhttp;
            }
            //==================
            function mostrardato() {
                divResultado = document.getElementById('mostrardato');
                codtiposervicio = "";
                ajax = objetoAjax();
                ajax.open("POST", "mostrardato.php");
                ajax.onreadystatechange = function () {
                    if (ajax.readyState == 4) {
                        divResultado.innerHTML = ajax.responseText
                    }
                }
                ajax.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
                ajax.send("cod=" + codtiposervicio)
            }
        </script>
    </body>
</html>









