<?php

// require_once '../clases/PHPExcel.php';
include('../clases/PHPExcel.php');
include('../clases/PHPExcel/Reader/Excel2007.php');
$objPHPExcel = new PHPExcel();


$objPHPExcel->
        getProperties()
        ->setCreator("TEDnologia.com")
        ->setLastModifiedBy("TEDnologia.com")
        ->setTitle("Exportar Excel con PHP")
        ->setSubject("Contactos Exportados")
        ->setDescription("Documento generado con PHPExcel")
        ->setKeywords("usuarios phpexcel")
        ->setCategory("reportes");


include("clases/ccontactos.php");



$sharedStyleCabecera = new PHPExcel_Style();
$sharedStyleCabecera->applyFromArray(
        array('fill' => array(
                'type' => PHPExcel_Style_Fill::FILL_SOLID,
                'color' => array('argb' => 'FFC926')
            ),
            'borders' => array(
                'left' => array('style' => PHPExcel_Style_Border::BORDER_THIN),
                'top' => array('style' => PHPExcel_Style_Border::BORDER_THIN),
                'bottom' => array('style' => PHPExcel_Style_Border::BORDER_THIN),
                'right' => array('style' => PHPExcel_Style_Border::BORDER_THIN)
            ),
            'font' => array('size' => '10', 'bold' => true /* 'color'=>array('argb'=>'0000ff' ) */),
            'alignment' => array('horizontal' => array('style' => PHPExcel_Style_Alignment::HORIZONTAL_JUSTIFY, 'style' => PHPExcel_Style_Alignment::HORIZONTAL_CENTER), 'vertical' => PHPExcel_Style_Alignment::VERTICAL_JUSTIFY)
));

$objPHPExcel->getActiveSheet()->setSharedStyle($sharedStyleCabecera, "A5:M5");

$sharedStyleCuerpo = new PHPExcel_Style();
$sharedStyleCuerpo->applyFromArray(
        array('fill' => array('type' => PHPExcel_Style_Fill::FILL_SOLID),
            'borders' => array(
                'left' => array('style' => PHPExcel_Style_Border::BORDER_THIN),
                'top' => array('style' => PHPExcel_Style_Border::BORDER_THIN),
                'bottom' => array('style' => PHPExcel_Style_Border::BORDER_THIN),
                'right' => array('style' => PHPExcel_Style_Border::BORDER_THIN)
            ),
            'font' => array('size' => '10', 'bold' => true /* 'color'=>array('argb'=>'0000ff' ) */),
            'alignment' => array('horizontal' => array('style' => PHPExcel_Style_Alignment::HORIZONTAL_JUSTIFY, 'style' => PHPExcel_Style_Alignment::HORIZONTAL_CENTER), 'vertical' => PHPExcel_Style_Alignment::VERTICAL_JUSTIFY)
));



$occontactos = new ccontactos('', '', '', '', '', '', '', '', '', '', '', '', '');
$rs = $occontactos->MostrarContacto();
/* -- para listas solo un registro */
$item = 5;


$objPHPExcel->setActiveSheetIndex(0)->setCellValue('A1', "Contactos \n Exportados ");
$objPHPExcel->getActiveSheet()->getRowDimension(2)->setRowHeight(-1);
$objPHPExcel->getActiveSheet()->getStyle('A1')->getAlignment()->setWrapText(true);
$objPHPExcel->getActiveSheet()->mergeCells('A1:M4');
$objPHPExcel->getActiveSheet()->getStyle('A1')->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_CENTER);
$objPHPExcel->getActiveSheet()->getStyle('A1')->getFont()->setSize(20);
$objPHPExcel->getActiveSheet()->getStyle('A1')->getFont()->setBold(true);

$objPHPExcel->setActiveSheetIndex(0)
        ->setCellValue('A5', 'Nro')
        ->setCellValue('B5', 'Nombre Empresa')
        ->setCellValue('C5', 'Rubro')
        ->setCellValue('D5', 'Contacto')
        ->setCellValue('E5', 'Cargo')
        ->setCellValue('F5', 'E-Mail')
        ->setCellValue('G5', 'Celular')
        ->setCellValue('H5', 'Telefono')
        ->setCellValue('I5', 'Direccion')
        ->setCellValue('J5', 'Website')
        ->setCellValue('K5', 'Ciudad')
        ->setCellValue('L5', 'País')
        ->setCellValue('M5', 'Tipo')
;

/* -- para mostrar todos los registros de la consulta */
$i = 0;
while ($fila1 = $rs->fetch_object()) {

    // $nombreExcursion=$oBiblia->NombreExcursion($fila1->excursion)->fetch_object();
    // $montoTour=$oBiblia->MontoTour($fila1->idCotizacion)->fetch_object();

    $item++;
    $i++;


    $objPHPExcel->setActiveSheetIndex(0)
            ->setCellValue('A' . $item, $i)
            ->setCellValue('B' . $item, $fila1->nombre)
            ->setCellValue('C' . $item, $fila1->rubro)
            ->setCellValue('D' . $item, $fila1->contacto)
            ->setCellValue('E' . $item, $fila1->cargo)
            ->setCellValue('F' . $item, $fila1->correo)
            ->setCellValue('G' . $item, $fila1->celular)
            ->setCellValue('H' . $item, $fila1->telefono)
            ->setCellValue('I' . $item, $fila1->direccion)
            ->setCellValue('J' . $item, $fila1->web)
            ->setCellValue('K' . $item, $fila1->cuidad)
            ->setCellValue('L' . $item, $fila1->pais)
            ->setCellValue('M' . $item, $fila1->tipo);


    $objPHPExcel->getActiveSheet()->setSharedStyle($sharedStyleCuerpo, "A" . $item . ":" . "M" . $item);
}

$objPHPExcel->getActiveSheet()->getRowDimension('1')->setRowHeight(10);
$objPHPExcel->getActiveSheet()->getColumnDimension('A')->setWidth(5);
$objPHPExcel->getActiveSheet()->getRowDimension('1')->setRowHeight(10);
$objPHPExcel->getActiveSheet()->getColumnDimension('B')->setWidth(30);
$objPHPExcel->getActiveSheet()->getRowDimension('1')->setRowHeight(10);
$objPHPExcel->getActiveSheet()->getColumnDimension('C')->setWidth(30);
$objPHPExcel->getActiveSheet()->getRowDimension('1')->setRowHeight(10);
$objPHPExcel->getActiveSheet()->getColumnDimension('D')->setWidth(30);
$objPHPExcel->getActiveSheet()->getRowDimension('1')->setRowHeight(10);
$objPHPExcel->getActiveSheet()->getColumnDimension('E')->setWidth(30);
$objPHPExcel->getActiveSheet()->getRowDimension('1')->setRowHeight(10);
$objPHPExcel->getActiveSheet()->getColumnDimension('F')->setWidth(30);
$objPHPExcel->getActiveSheet()->getRowDimension('1')->setRowHeight(10);
$objPHPExcel->getActiveSheet()->getColumnDimension('G')->setWidth(30);
$objPHPExcel->getActiveSheet()->getColumnDimension('J')->setWidth(30);
$objPHPExcel->getActiveSheet()->getColumnDimension('H')->setWidth(30);
$objPHPExcel->getActiveSheet()->getColumnDimension('K')->setWidth(30);
$objPHPExcel->getActiveSheet()->getColumnDimension('I')->setWidth(30);
$objPHPExcel->getActiveSheet()->getColumnDimension('L')->setWidth(30);
$objPHPExcel->getActiveSheet()->getColumnDimension('M')->setWidth(30);










$objPHPExcel->getActiveSheet()->setTitle('Contactos');
$objPHPExcel->setActiveSheetIndex(0);


// header('Content-Type: application/vnd.ms-excel');
// header('Content-Disposition: attachment;filename="Aventura.xls"');
// header('Cache-Control: max-age=0');
// $objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel5');
// $objWriter->save('php://output');
// exit;



header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
header('Content-Disposition: attachment;filename="Contactos_exp.xlsx"');
header('Cache-Control: max-age=0');
$objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel2007');
$objWriter->save('php://output');
exit;
?>

